StatementFacade.StatementProxy (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.tomcat.jdbc.pool

## Class StatementFacade.StatementProxy

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.StatementFacade.StatementProxy

- All Implemented Interfaces:
    `java.lang.reflect.InvocationHandler`
  Enclosing class:
    StatementFacade

      protected class StatementFacade.StatementProxy
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

  Class to measure query execute time.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `closed` |
    `protected java.lang.Object` | `delegate` |
    `protected java.lang.String` | `query` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatementProxy​(java.lang.Object parent, java.lang.String query)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `java.lang.Object` | `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### closed

          protected boolean closed

    - #### delegate

          protected java.lang.Object delegate

    - #### query

          protected final java.lang.String query

  - ### Constructor Detail

    - #### StatementProxy

          public StatementProxy​(java.lang.Object parent,
                                java.lang.String query)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke​(java.lang.Object proxy,
                                         java.lang.reflect.Method method,
                                         java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`